using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace SolutionErp.Infrastructure.Persistence.Migrations
{
    /// <inheritdoc />
    public partial class AddPeUrgentAndCeoApprovalThreshold : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<bool>(
                name: "IsUrgentByCcm",
                table: "PurchaseEvaluations",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "IsUrgentByPro",
                table: "PurchaseEvaluations",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<decimal>(
                name: "CeoApprovalThreshold",
                table: "ApprovalWorkflows",
                type: "decimal(18,2)",
                precision: 18,
                scale: 2,
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "IsUrgentByCcm",
                table: "PurchaseEvaluations");

            migrationBuilder.DropColumn(
                name: "IsUrgentByPro",
                table: "PurchaseEvaluations");

            migrationBuilder.DropColumn(
                name: "CeoApprovalThreshold",
                table: "ApprovalWorkflows");
        }
    }
}
